package com.liquidnet.service.adam.constant;

public class AdamAdminisConstants {

    public enum ProcessHisTagEnum {
        USER_ADMINIS("1"),
        MY_PROFILE("2"),
        WALLET_ACCESS_ADMINIS("3"),
        ;
        public String val;

        ProcessHisTagEnum(String val) {
            this.val = val;
        }
    }

    public enum ProcessHisEnum {
        USER_ADMINIS_CREATED(ProcessHisTagEnum.USER_ADMINIS.val, "Created"),
        USER_ADMINIS_UPDATED(ProcessHisTagEnum.USER_ADMINIS.val, "Updated"),
        USER_ADMINIS_REMOVED(ProcessHisTagEnum.USER_ADMINIS.val, "removed"),
        MY_PROFILE_CHANGE_BP(ProcessHisTagEnum.MY_PROFILE.val, "Updated basic profile"),
        MY_PROFILE_CHANGE_PW(ProcessHisTagEnum.MY_PROFILE.val, "Changed password"),
        MY_PROFILE_CHANGE_EM(ProcessHisTagEnum.MY_PROFILE.val, "Requested change email"),
        WALLET_ACCESS_ADMINIS_CREATED(ProcessHisTagEnum.WALLET_ACCESS_ADMINIS.val, "Created"),
        WALLET_ACCESS_ADMINIS_UPDATED(ProcessHisTagEnum.WALLET_ACCESS_ADMINIS.val, "Updated"),
        ;
        public String tag;
        public String val;

        ProcessHisEnum(String tag, String val) {
            this.tag = tag;
            this.val = val;
        }
    }

}
